Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.core
Enum GMSConstants.shutdownType

    java.lang.Object
      java.lang.Enum<GMSConstants.shutdownType>
          com.sun.enterprise.ee.cms.core.GMSConstants.shutdownType

All Implemented Interfaces:
  Serializable, Comparable<GMSConstants.shutdownType>

Enclosing class:
  GMSConstants

    public static enum GMSConstants.shutdownType

extends Enum<GMSConstants.shutdownType>

Enum Constant Summary
`GROUP_SHUTDOWN`
`INSTANCE_SHUTDOWN`

Method Summary
`static GMSConstants.shutdownType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GMSConstants.shutdownType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE_SHUTDOWN

    public static final GMSConstants.shutdownType INSTANCE_SHUTDOWN

### GROUP_SHUTDOWN

    public static final GMSConstants.shutdownType GROUP_SHUTDOWN

Method Detail

### values

    public static final GMSConstants.shutdownType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GMSConstants.shutdownType c : GMSConstants.shutdownType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GMSConstants.shutdownType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.